Skip to main content
POST
/
files
파일 업로드
curl --request POST \
  --url https://client-api.tryvox.co/v3/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "file_key": "<string>",
  "mime_type": "<string>",
  "size_bytes": 123,
  "created_at": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryvox.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.

Body

multipart/form-data

이 엔드포인트가 받는 multipart 폼 데이터입니다.

file
file
required

업로드할 이미지 파일입니다. 지원 입력은 JPEG, PNG, WebP, GIF이며, JPEG/PNG/WebP 원본과 GIF 파일은 2MB 이하여야 합니다.

purpose
enum<string>
required

파일 용도입니다. 현재는 sms_attachment만 지원합니다.

Available options:
sms_attachment

Response

성공 응답

POST /v3/files 응답.

file_key
string
required

서버가 생성한 불투명 file key입니다. SMS/MMS 발송 페이로드에서 업로드한 파일을 참조할 때 이 값을 사용합니다.

mime_type
string
required

저장된 MIME 타입입니다. 지원 값은 image/jpeg, image/png, image/webp, image/gif이며, JPEG/PNG/WebP 업로드는 변환되어 image/jpeg로, GIF 업로드는 image/gif로 저장됩니다.

size_bytes
integer
required

저장된 byte 크기입니다. JPEG/PNG/WebP 업로드는 변환 후 크기, GIF 업로드는 원본 byte 크기입니다.

created_at
integer
required

리소스 생성 시각이며, 밀리초 단위 unix timestamp입니다.